// $Header:
// /usr/cvsroot/composer/core/src/com/sssw/b2b/rt/GNVPatchVersion.java,v 1.6
// 2004/07/20 22:03:33 gchkheidze Exp $
// 
// $StandardCopyright
//

package com.sssw.b2b.rt;

import java.io.InputStream;
import java.util.Properties;

/**
 * Stores the Patch version string for the About Box for Composer Designer.
 */
public class GNVPatchVersion
{
    /** patch version string */
    private static String msPatchVersion = "F";

    static {
        InputStream in = null;
        try {
            Properties lProps = new Properties();
            in = GNVPatchVersion.class.getClassLoader().getResourceAsStream("com/sssw/b2b/rt/BuildInfo.properties");
            lProps.load(in);
            String lsPatchVersion = lProps.getProperty("PatchVersion");
            if (lsPatchVersion != null)
                msPatchVersion = lsPatchVersion;
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (in != null)
                try {
                    in.close();
                } catch (Exception ex) { /* Empty catch Block */}
        }
    }

    /**
     * Getter method for patch version
     * @return a patch version string
     */
    public static String getPatchVersion()
    {
        return msPatchVersion;
    }
}

