#!/bin/sh
#
# /////////////////////////////////////////////////////////////////////////////
# //                   PROPRIETARY RIGHTS STATEMENT
# // The contents of this file represent confidential information that is the
# // proprietary property of SilverStream Software, Inc.  Viewing or use of
# // this information is prohibited without the express written consent of
# // SilverStream Software, Inc. Removal of this PROPRIETARY RIGHTS STATEMENT
# // is strictly forbidden. Copyright (c) 1999, 2002 All rights reserved.
# /////////////////////////////////////////////////////////////////////////////

# Param1-target jar location (path)
# Param2-jar to patch
# Param3-jar to patch from
# Param4-backup jar name

# --
# --  eXtend Composer Patch utility
# --

targetJar=$1/$2
backupJar=$4
patchJar=$3

# --
# -- Patch the SSSW jar in place
# --

if [ -f $targetJar ]
then
   echo "Patching" $targetJar
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $targetJar $patchJar

   if [ -f $2.backup ]
   then
      mv $2.backup $backupJar
   fi
fi
